We present an approach that allows to produce the two-body density matrix during the density matrix renormalization group (DMRG) run without an additional increase in the current disk and memory requirements. The computational cost of producing the two-body density matrix is proportional to O(M3k2+M2k4). The method is based on the assumption that different elements of the two-body density matrix can be calculated during different steps of a sweep. Hence, it is desirable that the wave function at the convergence does not change during a sweep. We discuss the theoretical structure of the wave function ansatz used in DMRG, concluding that during the one-site DMRG procedure, the energy and the wave function are converging monotonically at every step of the sweep. Thus, the one-site algorithm provides an opportunity to obtain the two-body density matrix free from the N-representability problem. We explain the problem of local minima that may be encountered in the DMRG calculations. We discuss theoretically why and when the one- and two-site DMRG procedures may get stuck in a metastable solution, and we list practical solutions helping the minimization to avoid the local minima.
We present an approach that allows to produce the two-body density matrix during the density matrix renormalization group (DMRG) run without an additional increase in the current disk and memory requirements. The computational cost of producing the two-body density matrix is proportional to O(M3k2+M2k4). The method is based on the assumption that different elements of the two-body density matrix can be calculated during different steps of a sweep. Hence, it is desirable that the wave function at the convergence does not change during a sweep. We discuss the theoretical structure of the wave function ansatz used in DMRG, concluding that during the one-site DMRG procedure, the energy and the wave function are converging monotonically at every step of the sweep. Thus, the one-site algorithm provides an opportunity to obtain the two-body density matrix free from the N-representability problem. We explain the problem of local minima that may be encountered in the DMRG calculations. We discuss theoretically why and when the one- and two-site DMRG procedures may get stuck in a metastable solution, and we list practical solutions helping the minimization to avoid the local minima.
Despite the success of modern quantum chemistry in predicting properties of organic molecules, the treatment of inorganic systems, which have many close lying states, remains out of quantitative reach for current methods. To treat non-dynamic correlation, we take advantage of the density matrix renormalization group (DMRG) method that has become very successful in the field of solid state physics. We present a detailed study of the DMRG method, and we pay special attention to the evolution of the understanding behind the mathematical structure of the DMRG wave function. Our primary goal is to develop a density matrix renormalization group self--consistent--field (DMRG-SCF) approach, analogous to the complete active space self--consistent field (CASSCF) method, but dealing with large active spaces that are too demanding for the full configuration interaction (FCI) method. \nAs a first step towards such a DMRG-SCF procedure, we present a spin-adapted DMRG algorithm designed to target spin- and spatial-symmetry states that are hard to obtain while using an unrestricted algorithm. \nOur next step is a modification of the DMRG algorithm to obtain decreasing energy at every step during the sweep. This monotonically convergent DMRG scheme lets us obtain the two-body density matrix as a by--product of the existing procedure without any additional cost in storage. Additionally, the two-body density matrix produced at convergence using this scheme is free from the N-representability problem that is present when the two--body density matrix is produced with the two-site DMRG scheme without additional storage cost. Finally, taking advantage of the modifications developed herein, we present results obtained from our DMRG-SCF method. Lastly, we discuss possible ways of incorporating dynamical correlation into the DMRG scheme, in order to obtain a modern multireference approach.
We propose an initialization procedure for the density-matrix renormalization group (DMRG): {\it the recursive sweep method}. In a conventional DMRG calculation, the infinite-algorithm, where two new sites are added to the system at each step, has been used to reach the target system size. We then need to obtain the ground state for a different system size for every site addition, so 1) it is difficult to supply a good initial vector for the numerical diagonalization for the ground state, and 2) when the system reduced to a 1D system consists of an array of nonequivalent sites as in ladders or Hubbard-Holstein model, special care has to be taken. Our procedure, which we call the {\it recursive sweep method}, provides a solution to these problems and in fact provides a faster algorithm for the Hubbard model as well as more complicated ones such as the Hubbard-Holstein model.
We develop a correction to the density matrix used in density matrix renormalization group calculations to take into account the incompleteness of the environment block. The correction allows successful calculations using only a single site in the center of the system, rather than the standard two sites, improving typical computation times by a factor of two to four. In addition, in many cases where the ordinary density matrix renormalization group method can get stuck in metastable configurations, the correction eliminates the sticking. We test the method on the Heisenberg S=1 chain.
Density matrix renormalization group (DMRG) algorithm has been extremely successful for computing the ground states of one-dimensional quantum many-body systems. For problems concerned with mixed quantum states, however, it is less successful in that either such an algorithm does not exist yet or that it may return unphysical solutions. Here we propose a positive matrix product ansatz for mixed quantum states which preserves positivity by construction. More importantly, it allows one to build a DMRG algorithm which, the same as the standard DMRG for ground states, iteratively reduces the global optimization problem to local ones of the same type, with the energy converging monotonically in principle. This algorithm is applied for computing both the equilibrium states and the nonequilibrium steady states and its advantages are numerically demonstrated.
This article presents an efficient and parallelized implementation of the density matrix renormalization group (DMRG) algorithm for quantum chemistry calculations. The DMRG method as a large-scale multireference electronic structure model is by nature particularly efficient for one-dimensionally correlated systems, while the present development is oriented toward applications for polynuclear transition metal compounds, in which the macroscopic one-dimensional structure of electron correlation is absent. A straightforward extension of the DMRG algorithm is proposed with further improvements and aggressive optimizations to allow its application with large multireference active space, which is often demanded for metal compound calculations. Special efficiency is achieved by making better use of sparsity and symmetry in the operator and wave function representations. By accomplishing computationally intensive DMRG calculations, the authors have found that a large number of renormalized basis states are required to represent high entanglement of the electron correlation for metal compound applications, and it is crucial to adopt auxiliary perturbative correction to the projected density matrix during the DMRG sweep optimization in order to attain proper convergence to the solution. Potential energy curve calculations for the Cr(2) molecule near the known equilibrium precisely predicted the full configuration interaction energies with a correlation space of 24 electrons in 30 orbitals [denoted by (24e,30o)]. The energies are demonstrated to be accurate to 0.6mE(h) (the error from the extrapolated best value) when as many as 10,000 renormalized basis states are employed for the left and right DMRG block representations. The relative energy curves for [Cu(2)O(2)](2+) along the isomerization coordinate were obtained from DMRG and other correlated calculations, for which a fairly large orbital space (32e,62o) is modeled as a full correlation space. The DMRG prediction nearly overlaps with the energy curve from the coupled cluster with singles, doubles, and perturbative triple [CCSD(T)] calculations, while the multireference complete active space self-consistent field (CASSCF) calculations with the small reference configuration (8e,8o) are found to overestimate the biradical character of the electronic state of [Cu(2)O(2)](2+) according to the one-electron density matrix analysis.
The application of the quantum-chemical density-matrix renormalization group (DMRG) algorithm is cumbersome for complex electronic structures with many active orbitals. The high computational cost is mainly due to the poor convergence of standard DMRG calculations. A factor which affects the convergence behavior of the calculations is the choice of the start-up procedure. In this start-up step matrix representations of operators have to be calculated in a guessed many-electron basis of the DMRG environment block. Different possibilities for the construction of these basis states exist, and we first compare four procedures to approximate the environment states using Slater determinants explicitly. These start-up procedures are applied to DMRG calculations on a sophisticated test system: the chromium dimer. It is found that the converged energies and the rate of convergence depend significantly on the choice of the start-up procedure. However, since already the most simple start-up procedure, which uses only the Hartree-Fock determinant, is comparatively good, Slater determinants, in general, appear not to be a good choice as approximate environment basis states for convergence acceleration. Based on extensive test calculations it is demonstrated that the computational cost can be significantly reduced if the number of total states m is successively increased. This is done in such a way that the environment states are built up stepwise from system states of previous truncated DMRG sweeps for slowly increasing m values.